Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBBinaryDocument

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBDocument
oracle.xdb.dom.XDBBinaryDocument`

All Implemented Interfaces:
  Document, Node

Deprecated. as of Oracle Database 11g release 1

      public class XDBBinaryDocument

extends XDBDocument

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`XDBBinaryDocument()` Deprecated.
`XDBBinaryDocument(java.sql.Connection conn)` Deprecated.
`XDBBinaryDocument(java.sql.Connection conn, long xobd)` Deprecated.

Method Summary
`java.io.InputStream` `getStream()` Deprecated.
`void` `setStream(java.io.InputStream is)` Deprecated.

Methods inherited from class oracle.xdb.dom.XDBDocument

`adoptNode, appendChild, close, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, finalize, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getEnvNative, getFirstChild, getGP, getImplementation, getInputEncoding, getLastChild, getNextSibling, getNodeName, getOwnerDocument, getPreviousSibling, getStrictErrorChecking, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, insertBefore, isClosed, normalizeDocument, removeChild, renameNode, replaceChild, setDocumentURI, setStrictErrorChecking, setXmlStandalone, setXmlVersion`

Methods inherited from class oracle.xdb.dom.XDBNode

`cloneNode, compareDocumentPosition, equals, getAttributes, getBaseURI, getChildNodes, getExpandedName, getFeature, getInputStream, getLocalName, getNamespaceURI, getNodeFromCState, getNodeType, getNodeValue, getParentNode, getPrefix, getPrimitiveType, getQualifiedName, getSchemaNode, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, isDefaultNamespace, isEqualNode, isNilled, isSameNode, isSchemaBased, isSupported, lookupNamespaceURI, lookupPrefix, normalize, setNodeValue, setNodeXob, setOwner, setPrefix, setTextContent, setUserData, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`cloneNode, getAttributes, getChildNodes, getLocalName, getNamespaceURI, getNodeType, getNodeValue, getParentNode, getPrefix, hasAttributes, hasChildNodes, isSupported, normalize, setNodeValue, setPrefix`

Constructor Detail

### XDBBinaryDocument

    public XDBBinaryDocument()

  Deprecated.

### XDBBinaryDocument

    public XDBBinaryDocument(java.sql.Connection conn)
                      throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### XDBBinaryDocument

    public XDBBinaryDocument(java.sql.Connection conn,
                             long xobd)

  Deprecated.

Method Detail

### getStream

    public java.io.InputStream getStream()
                                  throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### setStream

    public void setStream(java.io.InputStream is)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.